Page MenuHomePhabricator

Using the mouse doesn't work for setting cursor position in label notes/edit comment editing
Closed, ResolvedPublic

Description

Steps:

  1. go to https://deployment.wikimedia.beta.wmflabs.org/wiki/Jade:Diff/4
  2. open the menu for the top label and select "edit"
  3. Try to click the mouse in the textarea
  4. Nothing happens. Seems like the mouse doesn't work at all.

Same thing for editing an endorsement.

Event Timeline

Halfak created this task.Mar 25 2020, 1:28 PM
Halfak renamed this task from Using the mouse doesn't for setting cursor position in label notes/edit comment editing to Using the mouse doesn't work for setting cursor position in label notes/edit comment editing.Apr 6 2020, 4:58 PM
Halfak triaged this task as High priority.
Halfak moved this task from Untriaged to Ready to go on the Machine Learning Platform board.
Halfak added a comment.EditedApr 6 2020, 8:20 PM

I just confirmed that this still doesn't work. (*on beta)

So weird.

Change 596168 had a related patch set uploaded (by Kevin Bazira; owner: Kevin Bazira):
[mediawiki/extensions/Jade@master] Removed mousedown event handling from Jade ListWidgets

https://gerrit.wikimedia.org/r/596168

Change 596168 merged by jenkins-bot:
[mediawiki/extensions/Jade@master] Removed mousedown event handling from Jade ListWidgets

https://gerrit.wikimedia.org/r/596168

Halfak closed this task as Resolved.Jun 22 2020, 4:36 PM